Bug 248756 - [meta] ports broken by llvm 11 change to -fno-common
Summary: [meta] ports broken by llvm 11 change to -fno-common
Status: In Progress
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Niclas Zeising
URL:
Keywords:
Depends on: 248917 248972 249011 249013 250270 248699 248701 248729 248734 248735 248737 248738 248739 248740 248741 248742 248743 248748 248780 248812 248823 248845 248848 248849 248852 248853 248859 248870 248871 248872 248885 248902 248908 248921 248976 249021 250274
Blocks: 246700
  Show dependency treegraph
 
Reported: 2020-08-19 17:37 UTC by Niclas Zeising
Modified: 2020-10-11 16:29 UTC (History)
6 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Niclas Zeising freebsd_committer 2020-08-19 17:37:57 UTC
llvm 11 (and gcc 10) has switched to use -fno-common by default.  This causes issues with some ports.  Generally, you'll get a linker error complaining about "multiple symbols".
This PR is meant as a meta-PR to keep track of the various PRs filed, to make them easier to find, because of this.
Comment 1 Joe Marcus Clarke freebsd_committer 2020-08-23 16:06:20 UTC
Committed to net/netatalk3, thanks!
Comment 2 commit-hook freebsd_committer 2020-08-23 16:06:38 UTC
A commit references this bug:

Author: marcus
Date: Sun Aug 23 16:05:36 UTC 2020
New revision: 545827
URL: https://svnweb.freebsd.org/changeset/ports/545827

Log:
  Fix build with -fno-common.

  PR:		248756
  Submitted by:	zeising

Changes:
  head/net/netatalk3/files/patch-etc_afpd_directory.h
Comment 3 commit-hook freebsd_committer 2020-08-24 00:27:10 UTC
A commit references this bug:

Author: kevans
Date: Mon Aug 24 00:26:55 UTC 2020
New revision: 546027
URL: https://svnweb.freebsd.org/changeset/ports/546027

Log:
  security/bsmtrace3: update to the 3.1 -fno-common build fix

  The only changes between 3.0 and 3.1 are a change to the README to note work
  sponsored by an organization, and the -fno-common build fix.

  -fno-common is now the default in LLVM 11/GCC 10.

  PR:		248756
  Approved by:	csjp (maintainer, also discussed with)
  MFH:		2020Q3 (-fno-common build fix)

Changes:
  head/security/bsmtrace3/Makefile
  head/security/bsmtrace3/distinfo
Comment 4 commit-hook freebsd_committer 2020-08-24 00:29:12 UTC
A commit references this bug:

Author: kevans
Date: Mon Aug 24 00:28:46 UTC 2020
New revision: 546029
URL: https://svnweb.freebsd.org/changeset/ports/546029

Log:
  security/bsmtrace: backport the -fno-common fix

  This port is the older version of bsmtrace and should go away in due time,
  but it's easy enough to backport the fix in the meantime. This version did
  need an additional fix to log.{c,h} that was no longer needed in 3.x.

  PR:		248756
  Approved by:	csjp (maintainer, also discussed with)
  MFH:		2020Q3 (-fno-common build fix)

Changes:
  head/security/bsmtrace/files/patch-bsmtrace.c
  head/security/bsmtrace/files/patch-bsmtrace.h
  head/security/bsmtrace/files/patch-conf.c
  head/security/bsmtrace/files/patch-log.c
  head/security/bsmtrace/files/patch-log.h
Comment 5 commit-hook freebsd_committer 2020-08-25 12:53:39 UTC
A commit references this bug:

Author: kevans
Date: Tue Aug 25 12:53:06 UTC 2020
New revision: 546164
URL: https://svnweb.freebsd.org/changeset/ports/546164

Log:
  MFH: r546027

  security/bsmtrace3: update to the 3.1 -fno-common build fix

  The only changes between 3.0 and 3.1 are a change to the README to note work
  sponsored by an organization, and the -fno-common build fix.

  -fno-common is now the default in LLVM 11/GCC 10.

  PR:		248756
  Approved by:	csjp (maintainer, also discussed with)

  Approved by:	ports-secteam (implicit, -fno-common build fix)

Changes:
_U  branches/2020Q3/
  branches/2020Q3/security/bsmtrace3/Makefile
  branches/2020Q3/security/bsmtrace3/distinfo
Comment 6 commit-hook freebsd_committer 2020-08-25 12:54:41 UTC
A commit references this bug:

Author: kevans
Date: Tue Aug 25 12:54:25 UTC 2020
New revision: 546165
URL: https://svnweb.freebsd.org/changeset/ports/546165

Log:
  MFH: r546029

  security/bsmtrace: backport the -fno-common fix

  This port is the older version of bsmtrace and should go away in due time,
  but it's easy enough to backport the fix in the meantime. This version did
  need an additional fix to log.{c,h} that was no longer needed in 3.x.

  PR:		248756
  Approved by:	csjp (maintainer, also discussed with)

  Approved by:	ports-secteam (implicit, -fno-common build fix)

Changes:
_U  branches/2020Q3/
  branches/2020Q3/security/bsmtrace/files/patch-bsmtrace.c
  branches/2020Q3/security/bsmtrace/files/patch-bsmtrace.h
  branches/2020Q3/security/bsmtrace/files/patch-conf.c
  branches/2020Q3/security/bsmtrace/files/patch-log.c
  branches/2020Q3/security/bsmtrace/files/patch-log.h